<template>
  <div class="left-side-navigation">
    <v-navigation-drawer v-model="drawer" absolute temporary>
      <v-card
        max-width="500"
        class="mx-auto pb-10"
        height="100%"
      >
        <v-img
          src="https://cdn.vuetifyjs.com/images/lists/ali.png"
          height="150px"
          dark
          class="pa-3"
        >
          <v-row class="fill-height">
            <v-card-title>
              <v-btn dark icon>
                <v-avatar color="indigo lighten-5" size="40">
                  <span class="white--text headline">F</span>
                </v-avatar>
              </v-btn>


            </v-card-title>

            <v-card-text class="white--text ">

            </v-card-text>

            <!-- <v-card-actions> -->
              <v-list-item>

                <!-- <v-list-item-content> -->
                  <v-list-item-title><span class="subtitle-2 white--text">Click here to login</span></v-list-item-title>
                <!-- </v-list-item-content> -->



                <v-row
                  align="center"
                  justify="end"
                >
                  <v-btn icon>
                    <v-icon class="white--text">mdi-account-box</v-icon>
                  </v-btn>
                </v-row>

              </v-list-item>
            <!-- </v-card-actions> -->
          </v-row>
        </v-img>


        <v-list>

          <v-list-item
            v-for="item in menuItem"
            :key="item.title"
            link
            :to="item.action"
          >
            <v-list-item-icon>
              <v-icon>{{ item.icon }}</v-icon>
            </v-list-item-icon>

            <v-list-item-content>
              <v-list-item-title>{{ item.title }}</v-list-item-title>
            </v-list-item-content>
          </v-list-item>
        </v-list>
      </v-card>

    </v-navigation-drawer>
  </div>



</template>

<script>
  export default {
    name: 'RecipeItem',

    props: [],

    data: () => ({

      drawer: false,

      menuItem: [
        { title: 'Discover', icon: 'mdi-home', action: '/' },
        { title: 'Recipes', icon: 'mdi-silverware-fork-knife', action: '/recipes' },
        { title: 'Favorites', icon: 'mdi-star-circle', action: '/favorites' },
        { title: 'Shopping List', icon: 'mdi-basket', action: '/shopping-list' },
        { title: 'Profile', icon: 'mdi-account', action: '/profile' },
        { title: 'Settings', icon: 'mdi-cog', action: '/setting' },
      ],

      // drawer: true

    }),

    computed: {
      // drawerx: function () {
      //   if (this.drawer){
      //     return false
      //   } else {
      //     return this.drawer
      //   }
      // },
    },

    methods: {

    }
  }
</script>
